import type { Rule } from 'eslint';
import type { ESLintUtils } from '@typescript-eslint/utils';

export function defineRules(rules: {
  [ruleName: string]: Rule.RuleModule | ESLintUtils.RuleModule<string, unknown[]>;
}) {
  return rules;
}

export function defineRule({
  name,
  create,
  ...meta
}: Rule.RuleMetaData & {
  name?: string;
  create: (context: Rule.RuleContext) => Rule.RuleListener;
}): Rule.RuleModule {
  const module: Rule.RuleModule = {
    meta,
    create,
  };
  if (name != null) {
    Object.defineProperty(module, 'name', { value: name });
  }
  return module;
}
